OT: xbmc: Absturz bei "Play"?

  • Hallo zusammen,


    ich habe hier ein "xbmc-only" Problem, und bevor ich mich im xbmc-Forum als Erstposter zum Narren mache, dachte ich mir, die Gruppe der "xbmc'ler" hier im Forum ist ja mittlerweile größer geworden; fragste mal die "Genossen"... Die Weiten des Netzes und des xbmc-Forums habe ich schon durchflöht, gefunden habe ich leider nix.


    Problem:
    Wenn ich beim Abspielen einer DVD den "Play"-Button betätige (z.B. nach "Pause" oder nach einem Spulvorgang), beendet sich xbmc sofort. Simpler, harter Crash. Habt ihr das Problem auch?



    Gruß
    Holger


    PS: Version ist "9.04~beta1svn19716-jaunty1". Problem trat auch mit "9.04~beta1-jaunty1" schon auf. Patches für den VDR sind keine drin.


    PPS: Die Fernbedienung ist eine MCE-Remote. Die wurde ohne jegliche Anpassungen direkt erkannt und funktioniert ansonsten bestens.

  • Hallo Alwin,


    völlig richtig: AMD64. Danke für die Antwort. Über diesen "Workaround"-Eintrag bin ich tatsächlich auch schon gestolpert. War dann aber abgeschreckt;)


    Da ich es nicht ganz verstanden habe: Was haben denn eigentlich alle gegen den "Patch"?


    Gruß
    Holger


    PS: Oohh... der letzte Eintrag war vorhin aber noch nicht da. Lt. Hepi ist das Problem mit r19783 nicht mehr reproduzierbar. Werd' ich wohl mal updaten müssen :)

  • Quote

    Original von HolgerR
    Da ich es nicht ganz verstanden habe: Was haben denn eigentlich alle gegen den "Patch"?


    Das Problem mit dem Patch ist/war das er die betreffende Codezeile unter 64 Bit einfach ausschließt, dies mag zwar gehen ist aber nur ein Workaround und kein fix. Damit wäre also der Fehler nicht behoben nur umgangen.


    Grüße

  • Leider kann ich keine Entwarnung geben. Habe heute morgen die Version 9.04~beta1svn19838-jaunty1 aus dem PPA installiert: Fehler tritt immer noch (oder erneut?!?) auf. :(


    Die gute Nachricht allerdings:
    Das Ergänzen der Zeile aus dem genannten "Umgehungspatch" funktioniert tatsächlich bestens. Das Problem ist also nicht mehr akut. Aber wirklich gelöst ist es nicht und ausserdem wollte ich ja auch irgendwann mal auf die langatmige Kompilierorgie für xbmc verzichten.


    Gruß
    Holger

  • Quote

    Original von hepi


    Sag niemals nie. :lol2


    Hehe... nee! Sonst hätte ich den Thread ja auch schon auf "gelöst" gesetzt. ;) Aber: Ist der Fehler bei dir jetzt tatsächlich weg? Eigentlich sollte die Version im PPA von heute ja aktueller sein, als die von der du geschrieben hast.


    Gruß
    Holger

  • Quote

    Original von HolgerR
    Ist der Fehler bei dir jetzt tatsächlich weg? Eigentlich sollte die Version im PPA von heute ja aktueller sein, als die von der du geschrieben hast.


    Ja, Versionsübersicht siehe unten. Mit meiner intrepid4 habe ich's erfolgreich gestestet unter amd64, aber mit intrepid5 habe ich's noch nicht wieder getestet.


    9.04~pre+pvr-api+pvrclient-vdr~hepi-jaunty4 = r19837
    9.04~pre+pvr-api+pvrclient-vdr~hepi-jaunty3 = r19781
    9.04~pre+pvr-api+pvrclient-vdr~hepi-jaunty2 = hat nicht gebaut (r19754)
    9.04~pre+pvr-api+pvrclient-vdr~hepi-jaunty1 = hat nicht gebaut (r19729)


    9.04~pre+pvr-api+pvrclient-vdr~hepi-intrepid5 = r19837
    9.04~pre+pvr-api+pvrclient-vdr~hepi-intrepid4 = r19783
    9.04~pre+pvr-api+pvrclient-vdr~hepi-intrepid3 = skipped (r19781)
    9.04~pre+pvr-api+pvrclient-vdr~hepi-intrepid2 = hat nicht gebaut (r19754)
    9.04~pre+pvr-api+pvrclient-vdr~hepi-intrepid1 = hat nicht gebaut (r19729)


    Gruß
    hepi